Bug 995998 - fusecompress corrupts files when run on a x86_64 system.
fusecompress corrupts files when run on a x86_64 system.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fusecompress (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
abrt_hash:86fee67d4ea63c5b428ce13f232...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 03:30 EDT by schlaffi
Modified: 2015-12-02 11:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 891404
Environment:
Last Closed: 2015-12-01 21:55:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description schlaffi 2013-08-12 03:30:17 EDT
+++ This bug was initially created as a clone of Bug #891404 +++

Might be related to Bug 925376.

+++ This bug was initially created as a clone of Bug #649854 +++

abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: fusecompress -o allow_root '/home/Peter/Compressed Books' /home/Peter/Books
component: fusecompress
crash_function: boost::archive::detail::basic_iarchive_impl::load_pointer
executable: /usr/bin/fusecompress
kernel: 2.6.35.6-48.fc14.x86_64
package: fusecompress-2.6-8.20100223git754bc0de.fc14
rating: 4
reason: Process /usr/bin/fusecompress was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1288889936
uid: 1000

comment
-----
This is the first time I've tried to use fuseuncompress after upgrading from F13 to F14.
It was working fine in F13.

How to reproduce
-----
1. Ran fusecompress -o allow_root "/home/Peter/Compressed Books" "/home/Peter/Books"
2. Attempted to access a file in the uncompressed directory
3.

--- Additional comment from Peter Trenholme on 2010-11-04 13:18:18 EDT ---

Created attachment 457886 [details]
File: backtrace

--- Additional comment from Peter Trenholme on 2010-11-07 13:14:46 EST ---

Changing from the default compression to a different one seems to have cleared up the problem, so I suspect that the compression libraries have been changed in F14.

--- Additional comment from Dave Hawkes on 2011-05-10 09:45:47 EDT ---

I also cannot get fusecompress to work after an upgrade from F13 with any compression method.

When accessing a file I get the following message:

cat: test: Input/output error

The debug output from fusecompress shows:

FuseCompress::open 0x7f4674000ad0 name: test
File::open file 'test', inode 187170819, m_refs: 1
void Compress::restoreLayerMap(): fd: 3
int Compress::open(const char*, int): Failed to restore LayerMap of file 'test', exception: requested integer size exceeds type size: 96
File::release m_refs: 0
Compress::release m_refs: 0, m_IsCompressed: 0
virtual Compress::~Compress(), test

--- Additional comment from Bryan Clingman on 2011-10-29 03:04:03 EDT ---

Same issue with 2.6-9.20100223git754bc0de.fc15.  fusecompress_offline reports the same LayerMap error.

If I had to guess, I would say a 64bit issue.

--- Additional comment from Bryan Clingman on 2011-10-30 12:35:33 EDT ---

(In reply to comment #4)
> Same issue with 2.6-9.20100223git754bc0de.fc15.  fusecompress_offline reports
> the same LayerMap error.
> 
> If I had to guess, I would say a 64bit issue.

Further testing on an i686 install gives a different error message on the same file:

'int Compress::open(const char*, int): Failed to restore LayerMap of file '/home/bryan/sine_wave.ods', exception: cannot read a negative number into an unsigned type'

vs

'int Compress::open(const char*, int): Failed to restore LayerMap of file '/media/e98037e0-a09a-44b9-a36b-fa2ff10f6bdf/sine_wave.ods', exception: requested integer size exceeds type size: 3'

--- Additional comment from Fedora End Of Life on 2012-08-16 14:54:55 EDT ---

This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from  on 2012-10-19 04:17:15 EDT ---

Folks, please remove the package from the repositories. The above bug remains (at least for fusecompress-2.6-11.20110801git913897f4.fc16) and may cause all your data to get lost. On the other hand as nobody else was reporting the bug, I guess noone is using it at all.

--- Additional comment from  on 2013-05-21 18:01:28 EDT ---

This causes data corruption at a serious level! Why is it still in the repo (fc18)?

--- Additional comment from Fedora End Of Life on 2013-07-03 19:54:21 EDT ---

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from  on 2013-07-04 07:17:32 EDT ---

its in 18 and it is causing terrible data loss and it trivial to fix.

--- Additional comment from  on 2013-07-17 17:42:46 EDT ---

(In reply to schlaffi from comment #3)
> its in 18 and it is causing terrible data loss and it trivial to fix.

still present in fusecompress-2.6-18.20110801git913897f4.fc19.x86_64

--- Additional comment from Fedora End Of Life on 2013-07-31 23:01:40 EDT ---

Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 1 schlaffi 2014-12-26 02:36:12 EST
Of course the bug is still in fc21. There are 7 entries on CC...doesn't someone have a blog and wants to make fun of Lubomir, Fedora, or Linux in general? This is sooo rediculous.
Comment 2 Lubomir Rintel 2014-12-28 08:10:13 EST
I'm unable to reproduce this. Is anyone able to make it crash reliably? Does that happen for particular file?

(In reply to schlaffi from comment #1)
> Of course the bug is still in fc21. There are 7 entries on CC...doesn't
> someone have a blog and wants to make fun of Lubomir, Fedora, or Linux in
> general? This is sooo rediculous.

That's definitely the proper way to make a volunteer a bug for you.
Comment 3 Lubomir Rintel 2014-12-28 15:25:42 EST
> That's definitely the proper way to make a volunteer a bug for you.
* fix a bug
Comment 4 schlaffi 2014-12-29 15:15:01 EST
This is how I reproduce it (maybe I do something wrong...)

$ mkdir a b
$ fusermount a b
$ seq 100 > /tmp/b/test
$ cat /tmp/b/test 
cat: /tmp/b/test: Input/output error
Comment 5 schlaffi 2014-12-29 15:24:17 EST
(Sorry, I did'nt want to insult you, just wanted to get some attention for a stupid but potentially terrible bug...either it is only me having the problem or nobody is using it anyway.)
Comment 6 schlaffi 2014-12-29 15:33:09 EST
argh. too late in the evening.

should be "fusecompress a b" instead of "fusermount a b". I just checked again. The problem is reproducible. This is the relevant log from journald

Dec 29 21:31:32 localhost.localdomain kernel: SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
Dec 29 21:31:47 localhost.localdomain FuseCompress[16585]: int Compress::open(const char*, int): Failed to restore LayerMap of file 'test', exception: requested integer size exceeds type size: 2

the first entry is on mount, the second on I/O error.
Comment 7 Simo Sutela 2015-04-17 22:05:24 EDT
If this bug hasn't been fixed, why is this package still included in F22? The program clearly doesn't work. The function of this package is currently to destroy data like a piece of malware, without any warning.
Comment 8 schlaffi 2015-04-18 04:03:58 EDT
Don't worry. This bug was originally reported to F14. No need to rush. Maybe we can exclude it for F23.
Comment 9 Fedora End Of Life 2015-11-04 07:37:48 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-12-01 21:55:22 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.